const app = getApp()

import Notify from '@vant/weapp/notify/notify';

import {
    selfFormatTimeYMD,
    selfFormatTimeHM
} from "../../../utils/util.js"

import {
    getAllRoomInfoRq
} from "../../../api/meeting/equipment.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        roomList : []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        _this.setData({
            userData: wx.getStorageSync('user'),
        })

        _this.getData()
    },

    getData() {
        let _this = this
        getAllRoomInfoRq().then(res => {
            console.log('getAllRoomInfoRq', res);
            _this.setData({
                roomList : res.rows
            })
        })
    },

    // 跳转房间
    jumpRoom(e) {
        console.log('jumpRoom' , e);
        let id = e.currentTarget.dataset.obj.id
        let roomName = e.currentTarget.dataset.obj.meetingName
        wx.navigateTo({
            url: `/pages/smartDevice/room/room?roomId=${id}&roomName=${roomName}`,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        let _this = this;

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        console.log('onPullDownRefresh', '页面相关事件处理函数--监听用户下拉动作');

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        console.log('onReachBottom', '页面上拉触底事件的处理函数');
        let _this = this;
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage(e) {

    }
})